Billing Linux cPanel Windows Control Panel Client Voip ms sql webadmin ms sql backup mysql webadmin Server Status

Main Menu

ASPnix Knowledgebase

  • After uploading a module, I receive a corrupted file message. Why?

    No comments December 6th, 2018 17

    The main cause of this is due to the installed ionCube loader being too old and not recognizing the encoded script. Please check with your hosting provider to see what version of ionCube is installed. You can also view this using WHMCS by going to “Utilities” => “System” => “PHP Info” – You an find the ionCube loader version under the “Zend Engine” logo.

    Please note that all modules require ionCube loader v10.1.x or higher to run.

    The other cause is uploading files in ASCII mode instead of binary. Please make sure your file transfer client is uploading files in binary mode.

    1 Star2 Stars3 Stars4 Stars5 Stars (No Ratings Yet)
    Loading...
  • Why do I not receive any “Allow Notifications” prompts or requests?

    No comments November 20th, 2017 748

    If you are logged in as a WHMCS administrator and viewing a client’s account (using the “Login as Client” option) or have manually logged into a client’s account while also being logged in as a WHMCS administrator, you will not receive any prompts or requests to allow for notifications.

    In order to receive client notification requests, you must log out of the WHMCS administrator area and login directly as the client. If you still do not receive any requests, please check the browser’s “Developer Console” for any errors or visit the “Browser Notifications” page directly by clicking the “Browser Notifications” link in the WHMCS shortcut menu.

    1 Star2 Stars3 Stars4 Stars5 Stars (No Ratings Yet)
    Loading...
  • What are the requirements for the OneSignal addon module?

    No comments October 19th, 2017 833

    The requirements are listed below. The module may work under different conditions, but has only been tested by our developers in these scenarios. This article assumes that your system, server and PHP installation meets the requirements of WHMCS itself. Their requirements can be found here https://docs.whmcs.com/System_Requirements

    System Requirements

    • Clear understanding of using WHMCS as well as uploading, installing and configuring addons and gateways
    • PHP 5.6 or higher
    • WHMCS 7.x (we do not support alpha, beta or release candidate builds)
    • OpenSSL (or any SSL library) w/ TLS 1.1+ support
    • Ioncube loader v10.1.x or higher

    PHP Extension Requirements

    • cURL w/ TLS 1.1+ support

    OneSignal Requirements

    • A OneSignal account – If you do not have one, you may signup here
    • A OneSignal application created with the API key and App ID
    • Configured the OneSignal application for Chrome, Firefox, Edge and Safari support

    Browser Requirements

    • Chrome 42+ on Windows, Linux, macOS and Android
    • Firefox 44+ on Windows, Linux and macOS
    • Firefox 48+ on Android
    • Safari 7.1+ on macOS (iOS not supported)
    • Edge 42.17134.1.0+ (Windows 10 – April 2018 Update)
    • Opera 37+ on Windows, Linux, macOS and Android
    • Yandex 15.12+ on Windows, Linux, macOS and Android
    • Samsung Internet Browser on Android 4.0+

    Requirements Test Script

    We offer a PHP script that will quickly and easily check your PHP and WHMCS installation for any missing requirements, the tool can be downloaded here – https://billing.aspnix.com/dl.php?type=d&id=138

    1 Star2 Stars3 Stars4 Stars5 Stars (No Ratings Yet)
    Loading...
  • OneSignal Addon Module changelog & release details

    No comments October 19th, 2017 786

    Version 1.0.4 – Released 10.18.2018

    1
    
    Prevented a notification from being sent when a staff member edits a client profile

    Version 1.0.3 – Released 10.10.2018

    1
    
    Resolved a variable replacement issue for a single notification

    Version 1.0.2 – Released 04.05.2018

    1
    
    All HTTP-based lookup services now use the GuzzleHTTP library

    Version 1.0.1 – Released 10.23.2017

    1
    2
    
    Notification subscription prompt is no longer displayed when a staff member impersonates a client
    Notifications are no longer sent when a staff member impersonates a client

    Version 1.0.0 – Released 10.19.2017

    1
    
    Initial Release
    1 Star2 Stars3 Stars4 Stars5 Stars (No Ratings Yet)
    Loading...